#include "SDL.h"
#include "SDL_syswm.h"
#include "SDL_keyboard.h"
#include <time.h>
#include <stdlib.h>
#include "draw.h"

extern int xy_do_events, xy_shift;
int main(void) {
    xy_init();
    SDL_EnableKeyRepeat(SDL_DEFAULT_REPEAT_DELAY, SDL_DEFAULT_REPEAT_INTERVAL);
    xy_factor = 1920 / 2 - 1; xy_shift = 0;
    // xy_do_events = 0;
    while(1) {
        for(int j=0; j<1200; j++) {
            xy_draw_pixel(128, 0);
            xy_draw_pixel(128, 255);
            xy_nextline();
        }
        xy_flipscreen();
    }
}
